Nuance Infrastructure
Closed, ResolvedPublic

Description

Nuance needs various infrastructure updates and is possibly going to run into two big infrastructure issues (T10363, T9789).

This task is mostly just so I can Ref something on infrastructure work because it makes me feel like I am achieving extreme development velocity!!~

Details

Commits
D15546 / rPf50693de61d9: Remove dedicated storage for NuanceRequestor
D15541 / rP7b0b820be123: Bridge GitHub users into Phabricator and attribute actions to them
D15539 / rPf9306c2e58db: Add a Nuance content source, and make use of it
D15537 / rPda1ebac8d8fa: Allow Nuance items to provide curtain panels, link to imported tasks, parse…
D15521 / rP601aaa5a86c1: Modularize content sources
D15520 / rP0856a36e97c5: When an object has been imported from an external source, show a curtain panel
D15506 / rP1885c4e03bb6: Add an ItemCommand queue to Nuance
D15504 / rPe523585811c8: Allow Nuance item types to provide actions for items
D15502 / rP47dedfb152d0: Introduce "bridged" objects
D15464 / rPde23ba0002f8: Fix a minor issue in Nuance which could cause the trigger daemon to poll too…
D15445 / rP1e83aef88080: Give Nuance items some basic descriptive text
D15444 / rPee155ce8d28d: Move Nuance Items to two-column views
D15441 / rPe5f867e0df34: Add Nuance daemons and item types
D15440 / rP5d6bb0ffebd2: Import raw GitHub event data into Nuance
D15439 / rPfe01949a5c10: Add a Nuance GitHub repository source and basic polling
D15436 / rP2a3c3b2b98fe: Provide `bin/nuance import` and ngram indexes for sources
D15435 / rP3f4cc3ad6eb4: Allow Nuances sources to provide import cursors
D15434 / rPaa5df5fb0786: Convert Nuance Sources to EditEngine
D15431 / rP86768737c597: Move Nuance Queues to EditEngine
D15430 / rP6872b9680877: Convert Nuance sources and queues to two-column + curtain
D15429 / rP01ed526527b3: Modernize Nuance queries and search engines
D15428 / rP98542637a1f3: Use modern SearchEngine construction in Nuance
epriestley created this object with edit policy "All Users".
epriestley changed the edit policy from "All Users" to "Community (Project)".
Krinkle added a subscriber: Krinkle.Mar 8 2016, 4:04 AM
chad added a subscriber: chad.Mar 8 2016, 9:56 PM
Krinkle removed a subscriber: Krinkle.Mar 11 2016, 10:45 PM
epriestley closed this task as Resolved.May 21 2017, 12:46 PM

This was basically just a work log for an earlier iteration on Nuance focused on bi-directional bridging with GitHub. We're pursuing Nuance again now, but not with the same focus, so I'm going to close this and reorganize things. Some similar task will likely fall out at the end, but with a better focus on where we're actually headed.